%YAML 1.2
---
Content Type: library
Content Subtype: book

#--- --- --- Main --- --- ---
Title: "Head First Programming: A learner's guide to programming using the Python language"
Type: eBook
Release: 
    Print: 
        Year: 2009
        Month: 12
        Day: 
    eBook: 
        Year: 2009
        Month: 11
        Day: 
Author: 
    - David Griffiths
    - Paul Barry
Publisher: O'Reilly Media
Language: English
Series: Head First

ISBN: 
    Print: 
        ISBN-13: 978-0-596-80237-0
        ISBN-10: 0-596-80237-4
    eBook: 
        ISBN-13: 978-1-4493-8032-8
        ISBN-10: 1-4493-8032-8
#--- --- --- Main --- --- ---

#--- --- --- File Details --- --- ---
File Name: A.learner's.guide.to.programming.using.the.Python.language.David.Griffiths.2009
File Size: 12608146
Format: PDF
#--- --- --- File Details --- --- ---

#--- --- --- Details --- --- ---
WWW: 
    - http://oreilly.com/catalog/9780596802387
    - http://www.headfirstlabs.com/books/hfprog/
    - http://programming.itcarlow.ie/
Binding: Paperback
Edition: 1
Pages: 448
Circulation: 
Description: |
    If you have little or no programming experience, this book will get you started with the core concepts of writing computer programs -- variables, decisions, loops, functions, and objects -- which apply regardless of the programming language. Learn the basic tools and start writing code in the programming languages that interest you, and get a better understanding of what software can (and cannot) do.
    Looking for a reliable way to learn how to program on your own, without being overwhelmed by confusing concepts? Head First Programming introduces the core concepts of writing computer programs -- variables, decisions, loops, functions, and objects -- which apply regardless of the programming language. This book offers concrete examples and exercises in the dynamic and versatile Python language to demonstrate and reinforce these concepts. 
    Learn the basic tools to start writing the programs that interest you, and get a better understanding of what software can (and cannot) do. When you're finished, you'll have the necessary foundation to learn any programming language or tackle any software project you choose.

Note: 

Genre: Programming
Keywords: 
     - Computers
     - Programming
     - Python
Dimensions: 
    Unit: 
    Value: 
Weight: 
    Unit: 
    Value: 

Source Code: True
Translation: False
#--- --- --- Details --- --- ---

#--- --- --- Original --- --- ---
Original: 
    Title: 
    Release: 
        Print: 
            Year: 
            Month: 
            Day: 
        eBook: 
            Year: 
            Month: 
            Day: 
    Author: 
    Publisher: 
    Language: 
    ISBN: 
        Print: 
            ISBN-13: 
            ISBN-10: 
        eBook: 
            ISBN-13: 
            ISBN-10: 
#--- --- --- Original --- --- ---